NJS(1)

NAME
njs - JavaScript for Nginx

DESCRIPTION
njs [options] [-c string | script.js | -] [script args]

Interactive shell: enabled

OPTIONS

-a  print AST.

-c  specify the command to execute.

-d  print disassembled code.

-e <code>
    set failure exit code.

-f  disabled denormals mode.

-j <size>
    set the maximum stack size in bytes.

-m  load as ES6 module (script is default).

-n njs|QuickJS
    set JS engine (njs is default)

-p <path>
    set path prefix for modules.

-q  disable interactive introduction prompt.

-r  ignore unhandled promise rejection.

-s  sandbox mode.

-v  print njs version and exit.

-u  disable "unsafe" mode.

script.js | -
    run code from a file or stdin.